cURL
curl --request GET \
--url https://api.ctrl-hub.com/v3/equipment-items/{equipment_item_id} \
--header 'X-Session-Token: <api-key>'import requests
url = "https://api.ctrl-hub.com/v3/equipment-items/{equipment_item_id}"
headers = {"X-Session-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Session-Token': '<api-key>'}};
fetch('https://api.ctrl-hub.com/v3/equipment-items/{equipment_item_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-items",
"attributes": {
"reference": "REF-001",
"serial": "CH-001",
"asset_number": "A-12345",
"is_rented": true,
"purchased_at": "2024-01-15T00:00:00.000Z",
"vibration_source": true,
"vibration_magnitude": 2.7,
"description": "<string>",
"status": "<string>"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
},
"manufacturer": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-manufacturers"
}
},
"model": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-models"
}
},
"business_area": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "business-areas"
}
},
"owner": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "owners"
}
},
"status": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-statuses"
}
},
"categories": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-categories"
}
]
},
"inherited_categories": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-categories"
}
]
},
"certifications": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-certifications"
}
]
},
"allocated_person": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "users"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_scheme": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "schemes"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_work_order": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "work-orders"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_location": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "locations"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"allocated_vehicle": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "vehicles"
},
"meta": {
"starts_at": "2023-11-07T05:31:56Z"
}
},
"pre_allocations": {
"data": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-item-pre-allocations"
}
]
},
"folder": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "folders"
}
}
}
},
"jsonapi": {
"version": "1.0"
},
"included": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "equipment-manufacturers",
"attributes": {
"name": "Festool"
},
"meta": {
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
},
"relationships": {
"organisation": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "organisations"
}
}
}
}
]
}{
"id": "98ca4a78-b66f-4234-9719-aaf832ee6669",
"status": "400",
"title": "A validation error was encountered",
"source": {
"parameter": "include"
},
"meta": {
"resource": "wrong_value"
}
}{
"id": "05fc9c8d-73b9-4697-9337-57f7a567a48f",
"status": "401",
"title": "You are not authorised to access this resource",
"detail": "In order to access this resource, you need the 'admin' role.",
"code": "AUTH.001"
}{
"id": "7b4c8f12-3e9a-4d5b-8c6f-1a2b3c4d5e6f",
"status": "404",
"title": "Resource not found",
"detail": "The requested resource could not be found or does not exist.",
"code": "NOT_FOUND.001"
}{
"id": "fe9d9a69-f0a7-4fdc-bb2c-176027f316c5",
"status": "500",
"title": "Internal Server Error",
"detail": "An unexpected error occurred on the server."
}Equipment
Get an equipment item
Retrieve a specific equipment item by its unique identifier.
GET
/
v3
/
equipment-items
/
{equipment_item_id}
cURL
Authorizations
SessionCookieOAuth2
Session token for authentication.
Path Parameters
The unique identifier for the equipment item.
Query Parameters
A comma separated list of related resources to include.
Available options:
manufacturer, model, organisation, business_area, owner, status, categories, inherited_categories, certifications, allocated_person, allocated_scheme, allocated_work_order, allocated_location, allocated_vehicle, folder Response
Get a list of equipment in the organisation.
JSON API response object
An equipment item
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Related resources that can be included when an equipment item is returned.
An equipment manufacturer
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
Show child attributes
Show child attributes